SPHINX_LM_CONVERT(1)

NAME
sphinx_lm_convert - Convert and manipulate language model files

SYNOPSIS
sphinx_lm_convert [ options ]...

DESCRIPTION

This program converts language model files from one format to another. It can also be used to change the character encoding of the text in a language model file and to force word strings to upper or lower case.

-case

-debug
    level for debugging messages

-help
    Shows the usage of the tool

-i  language model file (required)

-ifmt
    language model format (will guess if not specified)

-logbase
    Base in which all log-likelihoods calculated

-mmap
    Use memory-mapped I/O for reading binary LM files

-o  language model file (required)

-ofmt
    language model file (will guess if not specified)

AUTHOR
David Huggins-Daines <dhuggins@cs.cmu.edu>

COPYRIGHT
Copyright © 2010 Carnegie Mellon University. See the file COPYING included with this package for more information.